---
schema_version: "1"
id: 8561443b8b952efd75f99b371c61e7508d7f33b5e634bd91731f96fa0ceb44a9
title: Get Photo Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_photo.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_photo.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 1fc62c3b2376c34e7107922e85d89d27160bc67688af1d0699fc2970229f085c
description: Get the photo actions for pages. Currently, only group and user pages support photo actions.
---
# Get Photo Actions

Get the photo actions for pages. Currently, only group and user pages support photo actions.

Resource

/ui-api/actions/photo/${recordIds}

recordIds—A single record ID, or a comma-delimited list of record IDs.

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have a Group tab with a record ID of 0F9R00000000182KAA . To get information about the photo actions on the tab, make this request:

GET /services/data/v68.0/ui-api/actions/photo/0F9R00000000182KAA

The request returns a list of photo actions on the tab and the URLs of the request and subrequests.

{
  "actions" : {
    "0F9R00000000182KAA" : {
      "actions" : \[ {
        "actionListContext" : "Photo",
        "actionTarget" : null,
        "actionTargetType" : "Invoke",
        "apiName" : "ViewPhotoAction",
        "externalId" : "00DR00000008n7M:0F9R00000000182KAA::Photo:Phone:StandardButton:ViewPhotoAction",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/email\_120.png",
        "id" : "0JVR00000000035OAA",
        "isMassAction" : "false",
        "label" : "View Photo",
        "primaryColor" : "95AEC5",
        "relatedListRecordId" : null,
        "relatedSourceObject" : null,
        "section" : "Page",
        "sourceObject" : "0F9R00000000182KAA",
        "subtype" : null,
        "targetObject" : null,
        "targetUrl" : null,
        "type" : "StandardButton"
      }

... Additional actions removed for brevity ...

\],
      "links" : \[ \],
      "url" : "/services/data/v41.0/ui-api/actions/photo/0F9R00000000182KAA"
    }
  },
  "url" : "/services/data/v41.0/ui-api/actions/photo/0F9R00000000182KAA"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d65523e124">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d65523e127">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d65523e130">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d65523e133">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d65523e136">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d65523e124" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d65523e127" data-title="Type">String[]</td>

                  <td class="entry" headers="d65523e130" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d65523e133" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d65523e136" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d65523e124" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d65523e127" data-title="Type">String[]</td>

                  <td class="entry" headers="d65523e130" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d65523e133" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d65523e136" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d65523e124" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d65523e127" data-title="Type">String</td>

                  <td class="entry" headers="d65523e130" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d65523e133" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d65523e136" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d65523e124" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d65523e127" data-title="Type">String</td>

                  <td class="entry" headers="d65523e130" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d65523e133" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d65523e136" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d65523e124" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d65523e127" data-title="Type">String[]</td>

                  <td class="entry" headers="d65523e130" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d65523e133" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d65523e136" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm#ui_api_responses_action "The actions for a single record or a collection of records.")